@charset "UTF-8";

// @import '_sprite';
// @import '/node_modules/animate.css/animate';
// @import 'node_modules/sass-easing/_easings';
// @import 'node_modules/bootstrap/scss/bootstrap';
@import 'fonts/_fonts'; // import font
@import 'settings/**/*'; //used for color, border, font-size for H-element etc
@import 'modules/animate'; //external css that downloaded add here
@import 'components/**/*'; //css group per-page/layout
@import 'pages/**/*';


/* width */
::-webkit-scrollbar {
  width: 2px;
  height: 2px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

// ALL VALUE NEEDS TO DEFINED USING VARIABLE
body{
  margin: 0;
  padding: 0;
  background: #f1f3f6;
  // height: 100vh;
  // overflow: hidden;
}
// archives
.archives{
  display: flex;
  flex-wrap: wrap;
  height: 70vh;
  overflow-y: scroll;
  .file-name{
    font-family: $font-regular;
    color: $label-text;
    font-size: .6rem;
    text-align: center;
    // width: 125px;
  }
  > .archives--list.archives--type\:file > .archives--icon{
    >img{
      width: 65%;
      opacity: .8;
      height: 70%;
    }
  }
  > .archives--list{
    width: 150px;
    margin: 13px;
    height: 150px;
    cursor: pointer;
    &:hover > .archives--icon > img{
      transform: scale(1.2);
    }
    > .archives--icon{
      height: 125px;
      overflow: hidden;
      margin-bottom: 8px;
      background: rgba(255, 255, 255, .6);
      position: relative;
      display: flex;
      align-items: center;
      justify-content: center;
        >img{
          width: 90%;
          transition: all ease-in-out .5s;
          height: 90%;
        }
    }
  }
}

